## r-bioc-monocle 2.18.0

=== DESCRIPTION ===
Package: monocle
Type: Package
Title: Clustering, differential expression, and trajectory analysis for
        single- cell RNA-Seq
Version: 2.18.0
Date: 2017-04-13
Author: Cole Trapnell
Maintainer: Cole Trapnell <coletrap@uw.edu>
Description: Monocle performs differential expression and time-series analysis
    for single-cell expression experiments. It orders individual cells
    according to progress through a biological process, without knowing ahead
    of time which genes define progress through that process. Monocle also
    performs differential expression analysis, clustering, visualization, and
    other useful tasks on single cell expression data.  It is designed to work
    with RNA-Seq and qPCR data, but could be used with other types as well.
License: Artistic-2.0
Depends: R (>= 2.10.0), methods, Matrix (>= 1.2-6), Biobase, ggplot2
        (>= 1.0.0), VGAM (>= 1.0-6), DDRTree (>= 0.1.4),
Imports: parallel, igraph (>= 1.0.1), BiocGenerics, HSMMSingleCell (>=
        0.101.5), plyr, cluster, combinat, fastICA, grid, irlba (>=
        2.0.0), matrixStats, densityClust (>= 0.3), Rtsne, MASS,
        reshape2, limma, tibble, dplyr, qlcMatrix, pheatmap, stringr,
        proxy, slam, viridis, stats, biocViews, RANN(>= 2.5), Rcpp (>=
        0.12.0)
LinkingTo: Rcpp
Suggests: destiny, Hmisc, knitr, Seurat, scater, testthat
VignetteBuilder: knitr
Roxygen: list(wrap = FALSE)
LazyData: true
biocViews: ImmunoOncology, Sequencing, RNASeq, GeneExpression,
        DifferentialExpression, Infrastructure, DataImport,
        DataRepresentation, Visualization, Clustering,
        MultipleComparison, QualityControl
Packaged: 2020-10-28 01:44:32 UTC; biocbuild
RoxygenNote: 6.0.1
git_url: https://git.bioconductor.org/packages/monocle
git_branch: RELEASE_3_12
git_last_commit: 14ac1ee
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes

=== debian/changelog ===
r-bioc-monocle (2.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 03 Nov 2020 10:35:07 +0100

r-bioc-monocle (2.16.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Sep 2020 12:23:21 +0200

r-bioc-monocle (2.16.0-1) unstable; urgency=medium

  * Initial release (closes: #970082)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Sep 2020 10:47:25 +0200

=== debian/control ===
Source: r-bioc-monocle
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-matrix (>= 1.2-6),
               r-bioc-biobase,
               r-cran-ggplot2,
               r-cran-vgam (>= 1.0-6),
               r-cran-ddrtree,
               r-cran-igraph,
               r-bioc-biocgenerics,
               r-bioc-hsmmsinglecell,
               r-cran-plyr,
               r-cran-cluster,
               r-cran-combinat,
               r-cran-fastica,
               r-cran-irlba,
               r-cran-matrixstats,
               r-cran-densityclust,
               r-cran-rtsne,
               r-cran-mass,
               r-cran-reshape2,
               r-bioc-limma,
               r-cran-tibble,
               r-cran-dplyr,
               r-cran-qlcmatrix,
               r-cran-pheatmap,
               r-cran-stringr,
               r-cran-proxy,
               r-cran-slam,
               r-cran-viridis,
               r-bioc-biocviews,
               r-cran-rann,
               r-cran-rcpp (>= 0.12.0)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-monocle
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-monocle.git
Homepage: https://bioconductor.org/packages/monocle/
Rules-Requires-Root: no

Package: r-bioc-monocle
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: clustering, differential expression, and trajectory analysis for RNA-Seq
 Monocle performs differential expression and time-series analysis
 for single-cell expression experiments. It orders individual cells
 according to progress through a biological process, without knowing ahead
 of time which genes define progress through that process. Monocle also
 performs differential expression analysis, clustering, visualization, and
 other useful tasks on single cell expression data.  It is designed to work
 with RNA-Seq and qPCR data, but could be used with other types as well.

## r-bioc-monocle 2.22.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Clustering, differential expression, and trajectory analysis for
         single- cell RNA-Seq
-Version: 2.18.0
-Date: 2017-04-13
+Version: 2.22.0
+Date: 2021-08-11
 Author: Cole Trapnell
 Maintainer: Cole Trapnell <coletrap@uw.edu>
 Description: Monocle performs differential expression and time-series analysis
@@ -31,11 +31,11 @@
         DifferentialExpression, Infrastructure, DataImport,
         DataRepresentation, Visualization, Clustering,
         MultipleComparison, QualityControl
-Packaged: 2020-10-28 01:44:32 UTC; biocbuild
-RoxygenNote: 6.0.1
+Packaged: 2021-10-26 21:57:26 UTC; biocbuild
+RoxygenNote: 7.1.1
 git_url: https://git.bioconductor.org/packages/monocle
-git_branch: RELEASE_3_12
-git_last_commit: 14ac1ee
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: 224c423
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-monocle (2.22.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Nov 2021 08:03:18 +0100

r-bioc-monocle (2.20.0-2) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * d/p/drop-bioc-destiny-from-suggests.patch: Drop r-bioc-destiny
    from suggests (fixes debci)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Sep 2021 00:26:42 +0530

r-bioc-monocle (2.20.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-vgam.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 11:33:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-matrix (>= 1.2-6),
+               r-cran-matrix,
                r-bioc-biobase,
                r-cran-ggplot2,
-               r-cran-vgam (>= 1.0-6),
+               r-cran-vgam,
                r-cran-ddrtree,
                r-cran-igraph,
                r-bioc-biocgenerics,
@@ -36,8 +36,8 @@
                r-cran-viridis,
                r-bioc-biocviews,
                r-cran-rann,
-               r-cran-rcpp (>= 0.12.0)
-Standards-Version: 4.5.0
+               r-cran-rcpp
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-monocle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-monocle.git
 Homepage: https://bioconductor.org/packages/monocle/

## r-bioc-monocle 2.24.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Clustering, differential expression, and trajectory analysis for
         single- cell RNA-Seq
-Version: 2.22.0
-Date: 2021-08-11
+Version: 2.24.1
+Date: 2022-06-08
 Author: Cole Trapnell
 Maintainer: Cole Trapnell <coletrap@uw.edu>
 Description: Monocle performs differential expression and time-series analysis
@@ -18,8 +18,8 @@
         (>= 1.0.0), VGAM (>= 1.0-6), DDRTree (>= 0.1.4),
 Imports: parallel, igraph (>= 1.0.1), BiocGenerics, HSMMSingleCell (>=
         0.101.5), plyr, cluster, combinat, fastICA, grid, irlba (>=
-        2.0.0), matrixStats, densityClust (>= 0.3), Rtsne, MASS,
-        reshape2, limma, tibble, dplyr, qlcMatrix, pheatmap, stringr,
+        2.0.0), matrixStats, Rtsne, MASS, reshape2, leidenbase (>=
+        0.1.9), limma, tibble, dplyr, qlcMatrix, pheatmap, stringr,
         proxy, slam, viridis, stats, biocViews, RANN(>= 2.5), Rcpp (>=
         0.12.0)
 LinkingTo: Rcpp
@@ -31,11 +31,11 @@
         DifferentialExpression, Infrastructure, DataImport,
         DataRepresentation, Visualization, Clustering,
         MultipleComparison, QualityControl
-Packaged: 2021-10-26 21:57:26 UTC; biocbuild
-RoxygenNote: 7.1.1
+Packaged: 2022-06-09 21:07:44 UTC; biocbuild
+RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/monocle
-git_branch: RELEASE_3_14
-git_last_commit: 224c423
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 77f953c
+git_last_commit_date: 2022-06-08
+Date/Publication: 2022-06-09
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-monocle (2.24.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Build-Depends: r-cran-leidenbase

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jul 2022 22:21:47 +0200

## r-bioc-monocle 2.26.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Clustering, differential expression, and trajectory analysis for
         single- cell RNA-Seq
-Version: 2.24.1
-Date: 2022-06-08
+Version: 2.26.0
+Date: 2022-06-06
 Author: Cole Trapnell
 Maintainer: Cole Trapnell <coletrap@uw.edu>
 Description: Monocle performs differential expression and time-series analysis
@@ -31,11 +31,11 @@
         DifferentialExpression, Infrastructure, DataImport,
         DataRepresentation, Visualization, Clustering,
         MultipleComparison, QualityControl
-Packaged: 2022-06-09 21:07:44 UTC; biocbuild
+Packaged: 2022-11-01 22:05:30 UTC; biocbuild
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/monocle
-git_branch: RELEASE_3_15
-git_last_commit: 77f953c
-git_last_commit_date: 2022-06-08
-Date/Publication: 2022-06-09
+git_branch: RELEASE_3_16
+git_last_commit: ec2dcba
+git_last_commit_date: 2022-11-01
+Date/Publication: 2022-11-01
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-monocle (2.26.0-2) unstable; urgency=medium

  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r
    Closes: #1019706
  * Reduce piuparts noise in transitions

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 11:03:22 +0100

r-bioc-monocle (2.26.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 07:28:40 +0100

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,10 @@
                r-cran-fastica,
                r-cran-irlba,
                r-cran-matrixstats,
-               r-cran-densityclust,
                r-cran-rtsne,
                r-cran-mass,
                r-cran-reshape2,
+               r-cran-leidenbase,
                r-bioc-limma,
                r-cran-tibble,
                r-cran-dplyr,
@@ -37,7 +37,7 @@
                r-bioc-biocviews,
                r-cran-rann,
                r-cran-rcpp
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-monocle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-monocle.git
 Homepage: https://bioconductor.org/packages/monocle/

## r-bioc-monocle 2.28.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Clustering, differential expression, and trajectory analysis for
         single- cell RNA-Seq
-Version: 2.26.0
+Version: 2.28.0
 Date: 2022-06-06
 Author: Cole Trapnell
 Maintainer: Cole Trapnell <coletrap@uw.edu>
@@ -31,11 +31,11 @@
         DifferentialExpression, Infrastructure, DataImport,
         DataRepresentation, Visualization, Clustering,
         MultipleComparison, QualityControl
-Packaged: 2022-11-01 22:05:30 UTC; biocbuild
+Packaged: 2023-04-25 21:46:49 UTC; biocbuild
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/monocle
-git_branch: RELEASE_3_16
-git_last_commit: ec2dcba
-git_last_commit_date: 2022-11-01
-Date/Publication: 2022-11-01
+git_branch: RELEASE_3_17
+git_last_commit: 03bcc6d
+git_last_commit_date: 2023-04-25
+Date/Publication: 2023-04-25
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-monocle (2.28.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 16:11:12 +0200

## r-bioc-monocle 2.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Clustering, differential expression, and trajectory analysis for
         single- cell RNA-Seq
-Version: 2.28.0
+Version: 2.30.0
 Date: 2022-06-06
 Author: Cole Trapnell
 Maintainer: Cole Trapnell <coletrap@uw.edu>
@@ -31,11 +31,11 @@
         DifferentialExpression, Infrastructure, DataImport,
         DataRepresentation, Visualization, Clustering,
         MultipleComparison, QualityControl
-Packaged: 2023-04-25 21:46:49 UTC; biocbuild
+Packaged: 2023-10-24 21:58:56 UTC; biocbuild
 RoxygenNote: 7.1.2
 git_url: https://git.bioconductor.org/packages/monocle
-git_branch: RELEASE_3_17
-git_last_commit: 03bcc6d
-git_last_commit_date: 2023-04-25
-Date/Publication: 2023-04-25
+git_branch: RELEASE_3_18
+git_last_commit: 92ad7db
+git_last_commit_date: 2023-10-24
+Date/Publication: 2023-10-24
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-monocle (2.30.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 10:43:19 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                r-bioc-biocviews,
                r-cran-rann,
                r-cran-rcpp
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-monocle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-monocle.git
 Homepage: https://bioconductor.org/packages/monocle/

## r-bioc-monocle 2.32.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Type: Package
 Title: Clustering, differential expression, and trajectory analysis for
         single- cell RNA-Seq
-Version: 2.30.0
-Date: 2022-06-06
+Version: 2.32.0
+Date: 2024-03-13
 Author: Cole Trapnell
 Maintainer: Cole Trapnell <coletrap@uw.edu>
 Description: Monocle performs differential expression and time-series analysis
@@ -19,9 +19,8 @@
 Imports: parallel, igraph (>= 1.0.1), BiocGenerics, HSMMSingleCell (>=
         0.101.5), plyr, cluster, combinat, fastICA, grid, irlba (>=
         2.0.0), matrixStats, Rtsne, MASS, reshape2, leidenbase (>=
-        0.1.9), limma, tibble, dplyr, qlcMatrix, pheatmap, stringr,
-        proxy, slam, viridis, stats, biocViews, RANN(>= 2.5), Rcpp (>=
-        0.12.0)
+        0.1.9), limma, tibble, dplyr, pheatmap, stringr, proxy, slam,
+        viridis, stats, biocViews, RANN(>= 2.5), Rcpp (>= 0.12.0)
 LinkingTo: Rcpp
 Suggests: destiny, Hmisc, knitr, Seurat, scater, testthat
 VignetteBuilder: knitr
@@ -31,11 +30,12 @@
         DifferentialExpression, Infrastructure, DataImport,
         DataRepresentation, Visualization, Clustering,
         MultipleComparison, QualityControl
-Packaged: 2023-10-24 21:58:56 UTC; biocbuild
-RoxygenNote: 7.1.2
+Packaged: 2024-05-01 04:45:56 UTC; biocbuild
+RoxygenNote: 7.3.1
 git_url: https://git.bioconductor.org/packages/monocle
-git_branch: RELEASE_3_18
-git_last_commit: 92ad7db
-git_last_commit_date: 2023-10-24
-Date/Publication: 2023-10-24
+git_branch: RELEASE_3_19
+git_last_commit: 8fbedbc
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-monocle (2.32.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 19:20:16 +0200

r-bioc-monocle (2.32.0-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Jul 2024 18:17:00 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-cran-matrix,
@@ -28,7 +29,6 @@
                r-bioc-limma,
                r-cran-tibble,
                r-cran-dplyr,
-               r-cran-qlcmatrix,
                r-cran-pheatmap,
                r-cran-stringr,
                r-cran-proxy,

## r-bioc-monocle 2.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Clustering, differential expression, and trajectory analysis for
         single- cell RNA-Seq
-Version: 2.32.0
+Version: 2.34.0
 Date: 2024-03-13
 Author: Cole Trapnell
 Maintainer: Cole Trapnell <coletrap@uw.edu>
@@ -30,12 +30,12 @@
         DifferentialExpression, Infrastructure, DataImport,
         DataRepresentation, Visualization, Clustering,
         MultipleComparison, QualityControl
-Packaged: 2024-05-01 04:45:56 UTC; biocbuild
+Packaged: 2024-10-30 01:40:44 UTC; biocbuild
 RoxygenNote: 7.3.1
 git_url: https://git.bioconductor.org/packages/monocle
-git_branch: RELEASE_3_19
-git_last_commit: 8fbedbc
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: ecfc0d1
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes

=== debian/changelog ===
r-bioc-monocle (2.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Jan 2025 15:11:35 +0100

r-bioc-monocle (2.34.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Nov 2024 08:27:08 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               architecture-is-64-bit,
                dh-r,
                r-base-dev,
                r-cran-matrix,
@@ -36,8 +35,9 @@
                r-cran-viridis,
                r-bioc-biocviews,
                r-cran-rann,
-               r-cran-rcpp
-Standards-Version: 4.6.2
+               r-cran-rcpp,
+               architecture-is-64-bit
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-monocle
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-monocle.git
 Homepage: https://bioconductor.org/packages/monocle/

=== debian/watch ===
version=4
opts=downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/monocle.html .*/monocle_(.*).tar.gz
